Subject: Re: Cloning speed comparison

From: "H. Peter Anvin" <[email-masked]>
Date: Sat, 13 Aug 2005 16:25:19 -0700

Linus Torvalds wrote:
> 
> On Fri, 12 Aug 2005, H. Peter Anvin wrote:
> 
>>Running it over ssh would be a good way to do authentication...
> 
> 
> Well, if you have ssh as an option, you don't need git-daemon any more, 
> since the protocol that git-daemon does runs quite well over ssh on its 
> own...
> 
> The only point of git-daemon really is when you don't have ssh access (ie
> you may want to give people a limited interface, but not full ssh). Ie
> as-is, it's only for anonymous reads of a git archive, but it obviously
> _could_ do more.
> 

Okay.  So use git-daemon for the anonymous users, and run the git 
protocol over ssh for writing.  Seems easy enough for me.

	-hpa